<div class="col-lg-12 animated fadeInRight list-devices">
    <div class="input-group">
    </div>
    <div class="wrapper wrapper-content animated fadeInRight">
        <div class="row">
            <div class="col-lg-12">
                <div class="ibox float-e-margins">
                    <div class="ibox-title">
                        <div class="row">
                            <div class="col-sm-12">
                                <h3>
                                    <strong>Manage Driver Groups</strong>
                                </h3>
                            </div>
                        </div>
                        <div class="fm-row">
                            <div class="row">
                                <div class="col-sm-4">

                                    <input [(ngModel)]="name" autocomplete="off" (keydown.enter)="getDriverGroup(item.value)" name="name" type="text" #item class="form-control input-sm-3"
                                        placeholder="Search For Name"/>
                                </div>
                                <div class="col-sm-8 text-right">
                                    <button type="get" (click)="getDriverGroup(item.value);" class="btn btn-sm btn-primary blue">
                                        <i aria-hidden="true" class="fa fa-search"></i> Search</button>
                                        <button class="btn btn-sm btn-primary green" (click)="refresh()">
                                            <i aria-hidden="true" class="fa fa-refresh"></i> Refresh</button>
                                    <button class="btn btn-sm btn-primary red" (click)="reset()">
                                        <i aria-hidden="true" class="fa fa-eraser"></i> Reset filters</button>
                                    <button type="submit" class="btn btn-primary btn-sm blue" [routerLink]="['/admin/fleet/driver-groups/add']">Add new record</button>
                                </div>
                            </div>
                        </div>
                        <div class="ibox-content">
                            <div class="table-responsive">
                                <table aria-describedby="Manage Company" class="table table-striped table-bordered table-responsive">
                                    <thead>
                                        <tr>
                                            <th scope="col" class="sorting" (click)="sort('name')">Name
                                                <span>
                                                    <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='name' }"></i>
                                                    <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='name' }"></i>
                                                </span>
                                            </th>
                                            <th scope="col" class="sorting" (click)="sort('contact_name')">Contact name
                                                <span>
                                                    <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='contact_name' }"></i>
                                                    <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='contact_name' }"></i>
                                                </span>
                                            </th>
                                            <th scope="col" class="sorting" (click)="sort('contact_surname')">Contact surname
                                                <span>
                                                    <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='contact_surname' }"></i>
                                                    <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='contact_surname' }"></i>
                                                </span>
                                            </th>
                                            <th scope="col">Street</th>
                                            <th scope="col">House number</th>
                                            <th scope="col">City</th>
                                            <th scope="col">Company</th>
                                            <th scope="col" (click)="sort('created_at')">Date
                                                <span>
                                                    <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='created_at' }"></i>
                                                    <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='created_at' }"></i>
                                                </span>
                                            </th>
                                            <th scope="col">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <span *ngIf="searchSubmit">
                                            <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                                        </span>
                                        <tr *ngFor="let driverGroups of driverGroupData">
                                            <td>{{driverGroups.name }}</td>
                                            <td>{{driverGroups.contact_name }}</td>
                                            <td>{{driverGroups.contact_surname }}</td>
                                            <td>{{driverGroups.street}}</td>
                                            <td>{{driverGroups.house_number}}</td>
                                            <td>{{driverGroups.city}}</td>
                                            <td>{{driverGroups.company}}</td>
                                            <td>{{driverGroups.updated_at | date}}</td>
                                            <td>
                                                <span matTooltip="Edit">
                                                    <a class="fa fa-edit text-navy" [routerLink]="['/admin/fleet/driver-groups/edit', driverGroups._id]">
                                                    </a>
                                                </span>&nbsp;&nbsp;&nbsp;
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div style="text-align:center; margin-left:125px;" *ngIf="driverGroupLength==0">
                                No records found.
                            </div>
                            <br>
                            <div class="container-fluid" *ngIf="driverGroupLength > 0">
                                <div class="row col-md-12 text-center">
                                    <div class="dataTables_info1">
                                        <div *ngIf="del">
                                            <ngb-pagination [collectionSize]="driverGroupLength" (pageChange)="pagingAgent($event)" [page]="1" [pageSize]="pageSize"
                                                aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true"></ngb-pagination>
                                        </div>
                                        <div *ngIf="!del">
                                            <ngb-pagination [collectionSize]="driverGroupLength" (pageChange)="pagingAgent($event)" [page]="1" [pageSize]="pageSize"
                                                aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true"></ngb-pagination>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>